List Span Assessments
curl --request GET \
--url https://api.egp.scale.com/v5/span-assessments \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v5/span-assessments"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v5/span-assessments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"assessment_id": "<string>",
"trace_id": "<string>",
"span_id": "<string>",
"created_by": "<string>",
"object": "span.assessment",
"comment": "<string>",
"rating": 3,
"rubric": {},
"metadata": {},
"overwrite": {},
"account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"object": "list"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Span Assessment
List Span Assessments
Get all assessments for a specific span or trace, optionally filtered by assessment type
GET
/
v5
/
span-assessments
List Span Assessments
Authorizations
Headers
Query Parameters
Filter by span ID. Either span_id or trace_id must be provided as a query parameter.
Filter by trace ID. Either span_id or trace_id must be provided as a query parameter.
Filter by assessment type Types of assessments that can be provided
Available options:
comment, rating, approval, rubric, metadata, overwrite ⌘I

